Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.18
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## iaik.pkcs.pkcs11.objects
Interface Certificate.VendorDefinedCertificateBuilder

Enclosing class:
  Certificate

public static interface Certificate.VendorDefinedCertificateBuilder

If an application uses vendor defined certificates, it must implement this interface and install such an object handler using setVendorDefinedCertificateBuilder.

Version:
  1.0
Author:
  Karl Scheibelhofer

Method Summary
`Object` | `build(Session session, long objectHandle)` This method should instanciate an Object of this class or of any sub-class.

Method Detail

### build

    public Object build(Session session,
                        long objectHandle)
                 throws PKCS11Exception

  This method should instanciate an Object of this class or of any sub-class. It can use the given handles and PKCS#11 module to retrieve attributes of the PKCS#11 object from the token.
  Parameters:
    `session` - The session to use for reading attributes. This session must have the appropriate rights; i.e. it must be a user-session, if it is a private object.
    `objectHandle` - The object handle as given from the PKCS#111 module.
  Returns:
    The object representing the PKCS#11 object. The returned object can be casted to the according sub-class.
  Throws:
    `PKCS11Exception` - If getting the attributes failed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.18
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

IAIK JavaSecurity Website http://jce.iaik.tugraz.at/
IAIK at Graz University of Technology, Austria, Europe
Copyright 2001-2004, IAIK, Graz University of Technology, Inffeldgasse 16a, 8010 Graz, Austria. All Rights Reserved. version 1.2.18